import request from '@/utils/request'

// 查询mall列表
export function listTips(query) {
  return request({
    url: '/mall/tips/list',
    method: 'get',
    params: query
  })
}

// 查询mall详细
export function getTips(id) {
  return request({
    url: '/mall/tips/' + id,
    method: 'get'
  })
}

// 新增mall
export function addTips(data) {
  return request({
    url: '/mall/tips',
    method: 'post',
    data: data
  })
}

// 修改mall
export function updateTips(data) {
  return request({
    url: '/mall/tips',
    method: 'put',
    data: data
  })
}

// 删除mall
export function delTips(id) {
  return request({
    url: '/mall/tips/' + id,
    method: 'delete'
  })
}

// 导出mall
export function exportTips(query) {
  return request({
    url: '/mall/tips/export',
    method: 'get',
    params: query
  })
}